"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SQLiteAdapter = exports.adapterType = void 0;
const adapter_base_1 = require("@graphql-debugger/adapter-base");
const Schema_1 = require("./entities/Schema");
const Span_1 = require("./entities/Span");
const Trace_1 = require("./entities/Trace");
const prisma_1 = require("./prisma");
exports.adapterType = "sqlite";
class SQLiteAdapter extends adapter_base_1.BaseAdapter {
    constructor() {
        const schema = new Schema_1.SQLiteSchema();
        const span = new Span_1.SQLiteSpan();
        const trace = new Trace_1.SQLiteTrace();
        super({
            adapterType: exports.adapterType,
            schema,
            span,
            trace,
        });
        this.schema = schema;
        this.span = span;
        this.trace = trace;
    }
    async clearDB() {
        await (0, prisma_1.clearDB)();
        return true;
    }
}
exports.SQLiteAdapter = SQLiteAdapter;
